%define patchlevel 17
Name:           x2goclient
Version:        3.01
Release:        %mkrel 4
License:        GPLv2+
Group:          Networking/Remote access
Summary:        A qt4 client for the x2go system
Url:            http://www.x2go.org
Source:         %{name}_%{version}-%{patchlevel}.tar.gz

BuildRequires:  gcc-c++ 
BuildRequires:  libldap-devel 
BuildRequires:  libqt4-devel 
BuildRequires:  ImageMagick 
BuildRequires:  cups-devel
BuildRequires:  ssh-devel

Requires:       hicolor-icon-theme

%description
X2goclient is a graphical qt4 client for the x2go system.
You can use it to connect to running sessions and start new sessions. 

%prep
%setup -q

%build
qmake x2goclient.pro
%make

%install
rm -rf %{buildroot}
install -Dm755 x2goclient %buildroot/%_bindir/x2goclient

# add icons
mkdir -p mkdir -p %{buildroot}/{%{_iconsdir}/hicolor/16x16/apps,%{_iconsdir}/hicolor/32x32/apps,%{_iconsdir}/hicolor/48x48/apps,%{_iconsdir}/hicolor/64x64/apps}
convert -scale 16x16 icons/128x128/x2go.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 icons/128x128/x2go.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 icons/128x128/x2go.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 64x64 icons/128x128/x2go.png %{buildroot}/%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -Dm 644 icons/128x128/x2go.png %buildroot/%_iconsdir/hicolor/128x128/apps/x2goclient.png

# add menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=x2goclient
Comment=x2goclient - %{summary}
Icon=%{name}
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Network;RemoteAccess;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/x2goclient.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 3.01-4.mga1
+ Revision: 88464
- imported package x2goclient


* Tue Apr 19 2011 Oliver Burger <oliver.bgr@googlemail.com> 3.01-4.mga1
- imported into Mga
- new upstream patchlevel 17

* Fri Jun 11 2010 Oliver Burger <rpm@mandrivauser.de> 3.01-3mud2010.1
- rebuild for 2010.1

* Sat Nov 07 2009 Oliver Burger <rpm@mandrivauser.de> 3.01-2mud2010.0
- rebuild for 2010.0 final
- new source release 3.01-3

* Sun Aug 09 2009 Oliver Burger <rpm@mandrivauser.de> 3.01-1mud2010.0
- rebuild for 2010.0/cooker

* Tue May 04 2009 Oliver Burger <rpm@mandrivauser.de> 3.01-1mud2009.1
- new version 3.01, source release 3.01-2

* Tue May 04 2009 Oliver Burger <rpm@mandrivauser.de> 3.00-3mud2009.1
- added x2goclient-cli to dependencies

* Thu Apr 30 2009 Oliver Burger <rpm@mandrivauser.de> 3.00-2mud2009.1
- rebuild for 2009.1 Final

* Tue Mar 17 2009 Oliver Burger <rpm@mandrivauser.de> 3.00-1mud2009.1
- rebuild for 2009.1/cooker

* Mon Mar 16 2009 Oliver Burger <rpm@mandrivauser.de> 3.00-1mud2009.0
- new version 3.00

* Fri Feb 13 2009 Oliver Burger <rpm@mandrivauser.de> 2.99-3mud2009.0
- corrected icon paths

* Sun Feb 08 2009 Oliver Burger <rpm@mandrivauser.de> 2.99-2mud2009.0
- added icons

* Wed Feb 04 2009 Oliver Burger <rpm@mandrivauser.de> 2.99-1mud2009.0
- new version 2.99-3

* Mon Dec 08 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-1mud2009.0
- Rebuild for 2009.0

* Fri Jul 18 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-3mud2008.1
- Rebuild with lenny-packages

* Wed Jul 16 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-2mud2008.1
- Rebuild for Mandrivalinux 2008.1
- Second Try based upon ALT-package

* Mon Jul 14 2008 Oliver Burger <rpm@mandrivauser.de> 2.99-1mud2009.0
- Mikhail Efremov <sem@altlinux.org> 2.0.1-alt2.13
- share folder now works

* Wed Jun 25 2008 Mikhail Efremov <sem@altlinux.org> 2.0.1-alt1.13
- version 2.0.1-13

* Wed Jun 04 2008 Mikhail Efremov <sem@altlinux.org> 2.0.1-alt1
- initial build
